FOG Server Failed to update: Installing now everything is updated ........Failed



  • Server
    • FOG Version: 1.4.0-RC-9.3
    • OS: Ubuntu 14.04
    Client
    • Service Version:
    • OS:
    Description

    All of my nodes updated fine. The main server failed. Here is the output of the script.
    ![0_1499783339732_20170711_101924.jpg](Uploading 100%)



  • @Tom-Elliott I reran the installer script a second time on the nodes and that seemed to fix my problems! I want to thank everyone for your support and ideas! Much Appreciated!


  • Senior Developer

    So updating FOG is fixed? Can we move the next issue into a new thread so as to keep things more direct/distinct as to issues encountered and what not?

    I’m confused by this posting now. Sorry if this seems rude, but it sounds like you’re no longer having an issue with “Failed to update” anymore.


  • Moderator

    @cojohnson Looks like a Read error happens somewhere down the line. Does this image work on other models?



  • @Quazz I am imaging HP Stream 11 G3s. They have a 64 GB eMMC HDD. I am only pushing a 20 GB image. The error i am getting happens on all of the Streams

    http://store.hp.com/us/en/pdp/hp-stream-11-pro-g3-notebook-pc-(energy-star)


  • Moderator

    @cojohnson The client

    I believe in some configurations it can also refer to eMMC memory or the like, though.



  • @Quazz mmcblk? in the client devices or the servers? Our fog servers are 7-8 year old desktop PCs and only have 1 normal sata HDD installed



  • @Wayne-Workman FTP is working i was able to get files from the fog nodes!


  • Moderator

    @cojohnson mmcblk is typically an SD card or similar, which is probably why it fails at that point, it runs out of space. Remove the SD card!


  • Moderator

    @cojohnson I don’t think image deployment is reliant on FTP. However capture, replication, and kernel version reporting is. Which is why I suggest troubleshooting FTP.



  • @Wayne-Workman
    I am out of the office right now! But when I get in tomorrow I will run some tests! I do not think this is the problem however because my image deployment does start (partclone starts) and it gets about 1.7 GB through before fails… I will verify tomorrow though! I think it may have something to do with the fog nodes not picking up the “check disk disabled” option enabled on the server?


  • Moderator

    @cojohnson said in FOG Server Failed to update: Installing now everything is updated ........Failed:

    fog-node106 FOG Version: ("A valid database connection could not be made"1.4.4)

    That error has in the past been FTP related issues, I’d suggest running through these tests on that node: https://wiki.fogproject.org/wiki/index.php?title=Troubleshoot_FTP



  • Okay, I rebooted all of the FOG Nodes and the Server. The database connection error went away!

    Since I cant upload images to this forum, I took the time to type this all out!

    I still cant deploy images though. The error i get when i am imaging is something like:

    read ERROR:No such file or directory
    ARGS passed: /images/My_Image_Name/d1p2.img* /dev/mmcblk0p2

    will continue in 1 minute

    clearing ntfs flag…Failed
    Resizing Ntfs volume (/dev/mmcblk0p2)…Failed
    An Error has been detected!
    could not resize /dev/mmcblk0p2) (expandPartition)
    info: ntfsresize v2016… (libntfs=3g)
    Failed to open ntfs attribute: No such file or directory
    Failed to load $MFT: No such file or directory
    ERROR(2): Opening ‘/dev/mmcblk0p2’ as NTFS failed: No such file or directory
    Args passed: /dev/mmcblk0p2

    Kernal Vairiables and settings:
    Most importantly (I think) chkdsk=0

    Any ideas?



  • @Tom-Elliott So, I reran thew installer after the dpkg command finished. FOG sucessfully updated! Now, the nodes are not able to establish a database connection?? Should I rerun the installer on the nodes? The images I am trying to deploy are failing

    FOG Version Information
    Running Version: 1.4.4

    Kernel Versions
    DefaultMember FOG Version: ()
    fog-node106 FOG Version: ("A valid database connection could not be made"1.4.4)
    bzImage Version: 4.11.0
    bzImage32 Version: 4.11.0
    fog-node107 FOG Version: ("A valid database connection could not be made"1.4.4)
    bzImage Version: 4.11.0
    bzImage32 Version: 4.11.0
    fog-node108 FOG Version: (1.4.4)
    bzImage Version: 4.11.0
    bzImage32 Version: 4.11.0
    fog-node109 FOG Version: (1.4.4)
    bzImage Version: 4.11.0
    bzImage32 Version: 4.11.0
    fog-node118 FOG Version: ()
    fog-node119 FOG Version: ()



  • @Tom-Elliot I am currently running sudo dpkg --configure -a



  • I ran the following command just now… sudo dpkg --configure -a

    root@fog-master105:~/fogproject/bin/error_logs# cat fog_error_1.4.4.log
    /usr/bin/lsb_release
    /opt/fog/.fogsettings
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    11 Jul 10:44:41 ntpdate[6952]: adjust time server 74.105.106.183 offset -0.179587 sec
    gpg: keyring `/tmp/tmp3_k9_6eg/secring.gpg' created
    gpg: keyring `/tmp/tmp3_k9_6eg/pubring.gpg' created
    gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
    gpg: /tmp/tmp3_k9_6eg/trustdb.gpg: trustdb created
    gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    OK
    gpg: keyring `/tmp/tmpm8yls0ui/secring.gpg' created
    gpg: keyring `/tmp/tmpm8yls0ui/pubring.gpg' created
    gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
    gpg: /tmp/tmpm8yls0ui/trustdb.gpg: trustdb created
    gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    OK
    Ign http://us.archive.ubuntu.com trusty InRelease
    Get:1 http://us.archive.ubuntu.com trusty-updates InRelease [65.9 kB]
    Hit http://us.archive.ubuntu.com trusty-backports InRelease
    Get:2 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
    Ign http://extras.ubuntu.com trusty InRelease
    Hit http://ppa.launchpad.net trusty InRelease
    Hit http://ppa.launchpad.net trusty InRelease
    Hit http://us.archive.ubuntu.com trusty Release.gpg
    Hit http://us.archive.ubuntu.com trusty Release
    Hit http://extras.ubuntu.com trusty Release.gpg
    Hit http://extras.ubuntu.com trusty Release
    Get:3 http://us.archive.ubuntu.com trusty-updates/main Sources [400 kB]
    Get:4 http://us.archive.ubuntu.com trusty-updates/restricted Sources [6,331 B]
    Get:5 http://us.archive.ubuntu.com trusty-updates/universe Sources [185 kB]
    Hit http://ppa.launchpad.net trusty/main amd64 Packages
    Get:6 http://us.archive.ubuntu.com trusty-updates/multiverse Sources [7,747 B]
    Get:7 http://us.archive.ubuntu.com trusty-updates/main amd64 Packages [995 kB]
    Get:8 http://us.archive.ubuntu.com trusty-updates/restricted amd64 Packages [17.1 kB]
    Get:9 http://us.archive.ubuntu.com trusty-updates/universe amd64 Packages [417 kB]
    Hit http://ppa.launchpad.net trusty/main i386 Packages
    Get:10 http://security.ubuntu.com trusty-security/main Sources [133 kB]
    Get:11 http://us.archive.ubuntu.com trusty-updates/multiverse amd64 Packages [14.3 kB]
    Get:12 http://us.archive.ubuntu.com trusty-updates/main i386 Packages [948 kB]
    Hit http://ppa.launchpad.net trusty/main Translation-en
    Hit http://extras.ubuntu.com trusty/main Sources
    Hit http://ppa.launchpad.net trusty/main amd64 Packages
    Hit http://extras.ubuntu.com trusty/main amd64 Packages
    Hit http://ppa.launchpad.net trusty/main i386 Packages
    Get:13 http://us.archive.ubuntu.com trusty-updates/restricted i386 Packages [16.9 kB]
    Get:14 http://us.archive.ubuntu.com trusty-updates/universe i386 Packages [419 kB]
    Hit http://extras.ubuntu.com trusty/main i386 Packages
    Hit http://ppa.launchpad.net trusty/main Translation-en
    Get:15 http://us.archive.ubuntu.com trusty-updates/multiverse i386 Packages [14.6 kB]
    Get:16 http://security.ubuntu.com trusty-security/restricted Sources [4,955 B]
    Hit http://us.archive.ubuntu.com trusty-updates/main Translation-en
    Get:17 http://security.ubuntu.com trusty-security/universe Sources [59.3 kB]
    Hit http://us.archive.ubuntu.com trusty-updates/multiverse Translation-en
    Hit http://us.archive.ubuntu.com trusty-updates/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty-updates/universe Translation-en
    Get:18 http://security.ubuntu.com trusty-security/multiverse Sources [3,200 B]
    Hit http://us.archive.ubuntu.com trusty-backports/main Sources
    Hit http://us.archive.ubuntu.com trusty-backports/restricted Sources
    Hit http://us.archive.ubuntu.com trusty-backports/universe Sources
    Get:19 http://security.ubuntu.com trusty-security/main amd64 Packages [628 kB]
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse Sources
    Hit http://us.archive.ubuntu.com trusty-backports/main amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/restricted amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/universe amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/restricted i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/universe i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/main Translation-en
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse Translation-en
    Ign http://extras.ubuntu.com trusty/main Translation-en_US
    Hit http://us.archive.ubuntu.com trusty-backports/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty-backports/universe Translation-en
    Hit http://us.archive.ubuntu.com trusty/main Sources
    Ign http://extras.ubuntu.com trusty/main Translation-en
    Hit http://us.archive.ubuntu.com trusty/restricted Sources
    Hit http://us.archive.ubuntu.com trusty/universe Sources
    Hit http://us.archive.ubuntu.com trusty/multiverse Sources
    Hit http://us.archive.ubuntu.com trusty/main amd64 Packages
    Hit http://us.archive.ubuntu.com trusty/restricted amd64 Packages
    Get:20 http://security.ubuntu.com trusty-security/restricted amd64 Packages [14.0 kB]
    Hit http://us.archive.ubuntu.com trusty/universe amd64 Packages
    Hit http://us.archive.ubuntu.com trusty/multiverse amd64 Packages
    Hit http://us.archive.ubuntu.com trusty/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty/restricted i386 Packages
    Get:21 http://security.ubuntu.com trusty-security/universe amd64 Packages [172 kB]
    Hit http://us.archive.ubuntu.com trusty/universe i386 Packages
    Hit http://us.archive.ubuntu.com trusty/multiverse i386 Packages
    Hit http://us.archive.ubuntu.com trusty/main Translation-en
    Hit http://us.archive.ubuntu.com trusty/multiverse Translation-en
    Hit http://us.archive.ubuntu.com trusty/restricted Translation-en
    Get:22 http://security.ubuntu.com trusty-security/multiverse amd64 Packages [4,135 B]
    Get:23 http://security.ubuntu.com trusty-security/main i386 Packages [583 kB]
    Hit http://us.archive.ubuntu.com trusty/universe Translation-en
    Ign http://us.archive.ubuntu.com trusty/main Translation-en_US
    Ign http://us.archive.ubuntu.com trusty/multiverse Translation-en_US
    Ign http://us.archive.ubuntu.com trusty/restricted Translation-en_US
    Ign http://us.archive.ubuntu.com trusty/universe Translation-en_US
    Get:24 http://security.ubuntu.com trusty-security/restricted i386 Packages [13.7 kB]
    Get:25 http://security.ubuntu.com trusty-security/universe i386 Packages [173 kB]
    Get:26 http://security.ubuntu.com trusty-security/multiverse i386 Packages [4,290 B]
    Hit http://security.ubuntu.com trusty-security/main Translation-en
    Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
    Hit http://security.ubuntu.com trusty-security/restricted Translation-en
    Hit http://security.ubuntu.com trusty-security/universe Translation-en
    Fetched 5,366 kB in 48s (110 kB/s)
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    11 Jul 10:46:02 ntpdate[7502]: adjust time server 129.250.35.251 offset -0.148476 sec
    Generating locales...
      en_US.UTF-8... up-to-date
    Generation complete.
    gpg: keyring `/tmp/tmp8hxdrq3p/secring.gpg' created
    gpg: keyring `/tmp/tmp8hxdrq3p/pubring.gpg' created
    gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
    gpg: /tmp/tmp8hxdrq3p/trustdb.gpg: trustdb created
    gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    OK
    Hit http://security.ubuntu.com trusty-security InRelease
    Ign http://us.archive.ubuntu.com trusty InRelease
    Hit http://us.archive.ubuntu.com trusty-updates InRelease
    Hit http://us.archive.ubuntu.com trusty-backports InRelease
    Ign http://extras.ubuntu.com trusty InRelease
    Hit http://ppa.launchpad.net trusty InRelease
    Hit http://us.archive.ubuntu.com trusty Release.gpg
    Hit http://us.archive.ubuntu.com trusty Release
    Hit http://extras.ubuntu.com trusty Release.gpg
    Hit http://ppa.launchpad.net trusty InRelease
    Hit http://extras.ubuntu.com trusty Release
    Hit http://security.ubuntu.com trusty-security/main Sources
    Hit http://security.ubuntu.com trusty-security/restricted Sources
    Hit http://us.archive.ubuntu.com trusty-updates/main Sources
    Hit http://security.ubuntu.com trusty-security/universe Sources
    Hit http://us.archive.ubuntu.com trusty-updates/restricted Sources
    Hit http://security.ubuntu.com trusty-security/multiverse Sources
    Hit http://us.archive.ubuntu.com trusty-updates/universe Sources
    Hit http://security.ubuntu.com trusty-security/main amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/multiverse Sources
    Hit http://security.ubuntu.com trusty-security/restricted amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/main amd64 Packages
    Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
    Hit http://ppa.launchpad.net trusty/main amd64 Packages
    Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/restricted amd64 Packages
    Hit http://security.ubuntu.com trusty-security/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/universe amd64 Packages
    Hit http://security.ubuntu.com trusty-security/restricted i386 Packages
    Hit http://ppa.launchpad.net trusty/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/multiverse amd64 Packages
    Hit http://security.ubuntu.com trusty-security/universe i386 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/main i386 Packages
    Hit http://security.ubuntu.com trusty-security/multiverse i386 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/restricted i386 Packages
    Hit http://security.ubuntu.com trusty-security/main Translation-en
    Hit http://ppa.launchpad.net trusty/main Translation-en
    Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
    Hit http://us.archive.ubuntu.com trusty-updates/universe i386 Packages
    Hit http://security.ubuntu.com trusty-security/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty-updates/multiverse i386 Packages
    Hit http://security.ubuntu.com trusty-security/universe Translation-en
    Hit http://ppa.launchpad.net trusty/main amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/main Translation-en
    Hit http://ppa.launchpad.net trusty/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty-updates/multiverse Translation-en
    Hit http://extras.ubuntu.com trusty/main Sources
    Hit http://us.archive.ubuntu.com trusty-updates/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty-updates/universe Translation-en
    Hit http://ppa.launchpad.net trusty/main Translation-en
    Hit http://extras.ubuntu.com trusty/main amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/main Sources
    Hit http://us.archive.ubuntu.com trusty-backports/restricted Sources
    Hit http://extras.ubuntu.com trusty/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/universe Sources
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse Sources
    Hit http://us.archive.ubuntu.com trusty-backports/main amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/restricted amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/universe amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse amd64 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/restricted i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/universe i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse i386 Packages
    Hit http://us.archive.ubuntu.com trusty-backports/main Translation-en
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse Translation-en
    Hit http://us.archive.ubuntu.com trusty-backports/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty-backports/universe Translation-en
    Hit http://us.archive.ubuntu.com trusty/main Sources
    Hit http://us.archive.ubuntu.com trusty/restricted Sources
    Hit http://us.archive.ubuntu.com trusty/universe Sources
    Hit http://us.archive.ubuntu.com trusty/multiverse Sources
    Hit http://us.archive.ubuntu.com trusty/main amd64 Packages
    Hit http://us.archive.ubuntu.com trusty/restricted amd64 Packages
    Ign http://extras.ubuntu.com trusty/main Translation-en_US
    Hit http://us.archive.ubuntu.com trusty/universe amd64 Packages
    Hit http://us.archive.ubuntu.com trusty/multiverse amd64 Packages
    Ign http://extras.ubuntu.com trusty/main Translation-en
    Hit http://us.archive.ubuntu.com trusty/main i386 Packages
    Hit http://us.archive.ubuntu.com trusty/restricted i386 Packages
    Hit http://us.archive.ubuntu.com trusty/universe i386 Packages
    Hit http://us.archive.ubuntu.com trusty/multiverse i386 Packages
    Hit http://us.archive.ubuntu.com trusty/main Translation-en
    Hit http://us.archive.ubuntu.com trusty/multiverse Translation-en
    Hit http://us.archive.ubuntu.com trusty/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty/universe Translation-en
    Ign http://us.archive.ubuntu.com trusty/main Translation-en_US
    Ign http://us.archive.ubuntu.com trusty/multiverse Translation-en_US
    Ign http://us.archive.ubuntu.com trusty/restricted Translation-en_US
    Ign http://us.archive.ubuntu.com trusty/universe Translation-en_US
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    libapache2-mod-wsgi
    apache2-utils
    libapache2-webkdc
    libapache2-svn
    libapache2-mod-removeip
    libapache2-mod-defensible
    libapache2-mod-fastcgi
    libapache2-mod-rpaf
    libapache2-mod-fcgid
    libapache2-mod-axis2c
    libapache2-sitecontrol-perl
    apache2-mpm-prefork
    libapache2-mod-upload-progress
    libapache2-mod-spamhaus
    apache2-mpm-worker
    libapache2-mod-php5filter
    libapache2-mod-shib2
    libapache2-mod-mono
    libapache2-mod-authn-sasl
    libapache2-mod-proxy-html
    libapache2-mod-auth-memcookie
    libapache2-mod-xsendfile
    libapache2-mod-proxy-msrpc
    libapache2-mod-mapcache
    libapache2-mod-evasive
    libapache2-mod-php5
    libapache2-mod-encoding
    libapache2-mod-webkdc
    libapache2-mod-auth-plain
    libapache2-mod-authn-webid
    libapache2-mod-log-slow
    libapache2-mod-dnssd
    libapache2-mod-log-sql-ssl
    apache2-ssl-dev
    libapache2-mod-webauthldap
    libapache2-mod-php5.6
    apache2-dbg
    apache2.2-bin
    libapache2-mod-nss
    libapache2-mod-suphp
    libapache2-mod-rivet
    libapache2-mod-ruwsgi
    libapache2-mod-gnutls
    apache2-mpm-event
    libapache2-mod-auth-pubtkt
    libapache2-mod-perl2
    apache2-mpm-itk
    libapache2-mod-auth-pgsql
    apache2-dev
    libapache2-mod-svn
    libapache2-mod-auth-openid
    libapache2-mod-geoip
    libapache2-mod-proxy-uwsgi-dbg
    libapache2-mod-security2
    libapache2-reload-perl
    libapache2-mod-auth-mellon
    libapache2-request-perl
    libapache2-mod-ruid2
    libapache2-mod-macro
    libapache2-modsecurity
    rt4-apache2
    libapache2-mod-ldap-userdir
    libapache2-mod-authz-unixgroup
    libapache2-mod-lisp
    libapache2-mod-musicindex
    libapache2-webauth
    libapache2-mod-authnz-external
    libapache2-mod-rivet-doc
    libapache2-mod-webauth
    libapache2-mod-log-sql-mysql
    apache2-doc
    libapache2-mod-mime-xattr
    apache2-suexec-custom
    libapache2-mod-auth-ntlm-winbind
    libapache2-mod-python-doc
    libapache2-mod-netcgi-apache
    libapache2-mod-scgi
    libapache2-authcookie-perl
    libapache2-mod-proxy-uwsgi
    libapache2-mod-apreq2
    apache2-suexec
    libapache2-mod-perl2-dev
    libapache2-mod-bw
    libapache2-mod-qos
    libapache2-authenntlm-perl
    apache2-data
    libapache2-mod-php
    libapache2-mod-dacs
    libapache2-mod-log-sql
    libapache2-mod-auth-mysql
    libapache2-mod-apparmor
    libapache2-mpm-itk
    libapache2-mod-auth-tkt
    libapache2-authcassimple-perl
    libapache2-mod-fcgid-dbg
    libapache2-mod-auth-kerb
    libapache2-mod-jk
    libapache2-mod-wsgi-py3
    libapache2-mod-watchcat
    libapache2-mod-uwsgi
    libapache2-mod-passenger
    libapache2-mod-authn-yubikey
    apache2
    libapache2-mod-ruwsgi-dbg
    libapache2-mod-perl2-doc
    libapache2-mod-ldap-userdir-dbg
    apache2-bin
    libapache2-mod-parser3
    libapache2-mod-log-sql-dbi
    libapache2-mod-python
    libapache2-mod-uwsgi-dbg
    libapache2-mod-php7.0
    libapache2-mod-php7.1
    libapache2-mod-php7.2
    libapache2-mod-neko
    libapache2-mod-vhost-ldap
    apache2-suexec-pristine
    libapache2-mod-auth-cas
    libapache2-mod-auth-radius
    apache2.2-common
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    ii  bc                                                    1.06.95-8ubuntu1                                         amd64        GNU bc arbitrary precision calculator language
    ii  build-essential                                       11.6ubuntu6                                              amd64        Informational list of build-essential packages
    ii  cpp                                                   4:4.8.2-1ubuntu6                                         amd64        GNU C preprocessor (cpp)
    ii  curl                                                  7.35.0-1ubuntu2.10                                       amd64        command line tool for transferring data with URL syntax
    ii  g++                                                   4:4.8.2-1ubuntu6                                         amd64        GNU C++ compiler
    ii  gawk                                                  1:4.0.1+dfsg-2.1ubuntu2                                  amd64        GNU awk, a pattern scanning and processing language
    ii  gcc                                                   4:4.8.2-1ubuntu6                                         amd64        GNU C compiler
    ii  gzip                                                  1.6-3ubuntu1                                             amd64        GNU compression utilities
    ii  htmldoc                                               1.8.27-8ubuntu1                                          amd64        HTML processor that generates indexed HTML, PS, and PDF
    ii  lftp                                                  4.4.13-1                                                 amd64        Sophisticated command-line FTP/HTTP client programs
    libapache2-mod-php7.1
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    ii  libc6:amd64                                           2.19-0ubuntu6.13                                         amd64        Embedded GNU C Library: Shared libraries
    ii  libcurl3:amd64                                        7.35.0-1ubuntu2.10                                       amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
    ii  m4                                                    1.4.17-2ubuntu1                                          amd64        a macro processing language
    ii  mysql-client                                          5.5.55-0ubuntu0.14.04.1                                  all          MySQL database client (metapackage depending on the latest version)
    mysql-server-core-5.5
    mysql-server-core-5.6
    mysql-server-5.5
    mysql-server-5.6
    mysql-server
    ii  mysql-server                                          5.5.55-0ubuntu0.14.04.1                                  all          MySQL database server (metapackage depending on the latest version)
    ii  net-tools                                             1.60-25ubuntu2.1                                         amd64        The NET-3 networking toolkit
    ii  nfs-kernel-server                                     1:1.2.8-6ubuntu1.2                                       amd64        support for NFS kernel server
    ii  openssh-server                                        1:6.6p1-2ubuntu2.8                                       amd64        secure shell (SSH) server, for secure access from remote machines
    php7.1-bcmath
    php7.1-odbc
    php7.1-xml
    php7.1-opcache
    php7.1-pspell
    php7.1-cgi
    php7.1-intl
    php7.1-pgsql
    php7.1-gd
    php7.1-mbstring
    php7.1-xsl
    php7.1-cli
    php7.1-readline
    php7.1-phpdbg
    php7.1-xmlrpc
    php7.1-interbase
    php7.1-soap
    php7.1-ldap
    php7.1-sybase
    php7.1-curl
    php7.1-gmp
    php7.1-common
    php7.1-mysql
    php7.1-tidy
    php7.1-sqlite3
    libphp7.1-embed
    php7.1-mcrypt
    php7.1-zip
    php7.1-bz2
    php7.1-fpm
    php7.1
    php7.1-dba
    php7.1-snmp
    php7.1-dev
    php7.1-enchant
    libapache2-mod-php7.1
    php7.1-json
    php7.1-recode
    php7.1-imap
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-bcmath
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-cli
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-curl
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-fpm
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-gd
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-json
    php7.1-json
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-ldap
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-mbstring
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-mcrypt
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    php7.1-mysql
    php7.1-mysql
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    ii  php-gettext                                           1.0.11-2+deb.sury.org~trusty+1                           all          read gettext MO files directly, without requiring anything other than PHP
    ii  sysv-rc-conf                                          0.99-7                                                   all          SysV init runlevel configuration tool for the terminal
    ii  tar                                                   1.27.1-1ubuntu0.1                                        amd64        GNU version of the tar archiving utility
    ii  tftpd-hpa                                             5.2-7ubuntu3.1                                           amd64        HPA's tftp server
    ii  tftp-hpa                                              5.2-7ubuntu3.1                                           amd64        HPA's tftp client
    ii  unzip                                                 6.0-9ubuntu1.5                                           amd64        De-archiver for .zip files
    ii  vsftpd                                                3.0.2-1ubuntu2.14.04.1                                   amd64        lightweight, efficient FTP server written for security
    ii  wget                                                  1.15-1ubuntu1.14.04.2                                    amd64        retrieves files from the web
    ii  xinetd                                                1:2.3.15-3ubuntu1                                        amd64        replacement for inetd with many enhancements
    ii  zlib1g:amd64                                          1:1.2.8.dfsg-1ubuntu1                                    amd64        compression library - runtime
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    root@fog-master105:~/fogproject/bin/error_logs#
    

  • Senior Developer

    @cojohnson it would be in the fogproject/bin folder which is why i left off the leading /



  • @Tom-Elliott We are not behind a proxy! Where exactly are the error logs? I did not see a folder called "“error_logs” in /bin/


  • Senior Developer

    @cojohnson are you behind a proxy?

    Can you provide the installer error logs? It should be under the bin/error_logs and whatever is the latest file in there.



  • The image didnt upload… Anyways, the following packages failed to install with a message of “Failed! (Will try later)”

    apache2, libapache2-mod-php7.1, and ALL of the PHP PACKAGES

    The error at the end was “Installing now everything is updated…Failed!”

    Any ideas?


Log in to reply
 

357
Online

39.3k
Users

11.0k
Topics

104.4k
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.